Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000509Frama-CPlug-in > jessiepublic2010-06-14 09:552010-12-18 11:19
Reportersignoles 
Assigned Tocmarche 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101202-beta2 
Summary0000509: Unexpected exception if no input file
Description$ frama-c -jessie
[kernel] warning: no input file.
[jessie] Starting Jessie translation
[jessie] user error: Nothing to process. There was probably an error before.
:0:[jessie] failure: Unexpected exception.
                  Please submit bug report (Ref. "Log.AbortError("jessie")").
[kernel] The full backtrace is:
         Raised at file "src/kernel/log.ml", line 506, characters 30-31
         Called from file "src/kernel/log.ml", line 500, characters 2-9
         Re-raised at file "src/kernel/log.ml", line 503, characters 8-9
         Called from file "src/lib/type.ml", line 746, characters 40-45
         Called from file "queue.ml", line 134, characters 6-20
         Called from file "src/kernel/boot.ml", line 50, characters 4-20
         Called from file "src/kernel/cmdline.ml", line 170, characters 4-8
         
         Plug-in jessie aborted because of an internal error.
         Please report as 'crash' at http://bts.frama-c.com [^]

TagsNo tags attached.
Attached Files

- Relationships
related to 0000239closedcorrenson internal error when analyzing max.h 
has duplicate 0000656closedcmarche crash with wrong commandline option 

-  Notes
(0001317)
cmarche (developer)
2010-12-16 17:12


This is already fixed, I don't know since when...

- Issue History
Date Modified Username Field Change
2010-06-14 09:55 signoles New Issue
2010-06-14 09:55 signoles Status new => assigned
2010-06-14 09:55 signoles Assigned To => cmarche
2010-07-19 16:43 signoles Relationship added related to 0000239
2010-11-17 12:34 cmarche Severity crash => minor
2010-12-16 17:12 cmarche Note Added: 0001317
2010-12-16 17:12 cmarche Status assigned => resolved
2010-12-16 17:12 cmarche Resolution open => fixed
2010-12-18 11:18 signoles Fixed in Version => Frama-C Carbon-20101202-beta2
2010-12-18 11:19 signoles Status resolved => closed
2010-12-27 13:06 pascal Relationship added has duplicate 0000656


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker